# Lists Cupping Results Retrieves a list of cupping results and their items for the specified cupped coffee ids. At most 100 cupped coffee ids can be provided. Endpoint: POST /quality.cupping.listCuppingResults Security: oauth2 ## Request fields (application/json): - `params` (object) - `params.filter` (object) Defines all required and optional filter parameters for the operation. - `params.filter.cuppedCoffeeIds` (array, required) A set of cupped coffee ids to filter the cupping results by. At most 100 cupped coffee ids can be provided. Example: ["123e4567-e89b-12d3-a456-426614174000","123e4567-e89b-12d3-a456-426614174001"] - `params.pagination` (object) Defines all required and optional pagination parameters for the operation. - `params.pagination.limit` (integer) The number of elements to be returned Example: 20 - `params.pagination.after` (string) The cursor to retrieve the next page. This is an opaque value that should not be interpreted by the client. Example: "aBc=" ## Response 200 fields (application/json): - `ok` (boolean) Indicates whether the request was successful. Example: true - `result` (object) Contains the response data of a successful request. - `result.cuppingResults` (array) - `result.cuppingResults.note` (string) Additional notes captured during the cupping. - `result.cuppingResults.finalScore` (number) Final score of the cupping, calculated as defined in the cupping sheet. Example: 85.5 - `result.cuppingResults.scoringState` (string) Indicates whether or not the cupping result is accounted for in the cupped coffees total score calculation. Enum: "INCLUDED", "EXCLUDED" - `result.cuppingResults.evaluator` (object) The evaluator that performed the cupping. - `result.cuppingResults.evaluator.name` (string) - `result.cuppingResults.sensorialAttributes` (array) List of the evaluated aspects and its results as defined in the cupping sheet. - `result.cuppingResults.sensorialAttributes.name` (string) Name of the aspect that the attribute describes, as defined in the cupping sheet. Example: "Aftertaste" - `result.cuppingResults.sensorialAttributes.score` (number) Score that the evaluator assigned to this attribute. Example: 7 - `result.cuppingResults.sensorialAttributes.intensity` (number) Intensity of the attribute, if applicable. The meaning of this field depends on the cupping sheet definition and how the evaluator used it during the evaluation. Example: 5 - `result.cuppingResults.sensorialAttributes.descriptors` (array) List of descriptors associated with the attribute. - `result.cuppingResults.sensorialAttributes.descriptors.name` (string) The name of the descriptor. Example: "Nutty" - `result.cuppingResults.sensorialAttributes.descriptors.sentiment` (string) Describes whether a flavor is considered positive or negative for the attribute it belongs to. Enum: "POSITIVE", "NEGATIVE" - `result.cuppingResults.sensorialAttributes.descriptors.level` (string) Describes the intensity of a flavor for the attribute it belongs to. Enum: "WEAK", "NORMAL", "STRONG" - `result.cuppingResults.cuppedCoffee` (object) References the cupped coffee that the result belongs to. - `result.cuppingResults.cuppedCoffee.id` (string) The unique identifier of the object. Example: "550e8400-e29b-41d4-a716-446655440000" - `meta` (object) Contains the metadata (e.g. pagination information) of the response. - `meta.pagination` (object) Represents the pagination fields of the response. - `meta.pagination.endCursor` (string) Cursor value to retrieve the records of the next page. If there no further pages, this value is null. Example: "aBc=" ## Response 400 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 401 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 403 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 422 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided" ## Response 500 fields (application/json): - `ok` (boolean) Indicates whether the request was successful or not - `error` (object) - `error.code` (string) Specifies error code that can be handled programmatically. Example: "invalid_parameter" - `error.message` (string) A detailed description of the occurred error. Example: "Invalid parameter provided"